Index: /bootstrapper/bootstrap.sh
===================================================================
--- /bootstrapper/bootstrap.sh	(revision 31)
+++ /bootstrapper/bootstrap.sh	(revision 32)
@@ -10,6 +10,7 @@
 ADDCRONJOBS=0
 RUNINSTALL=0
-
-DEPENDENCIES="xvfb mono-runtime rsync xmlstarlet"
+INSTALLOPTIONALDEPS=0
+
+DEPENDENCIES="gcc wget tr xvfb mono-runtime rsync xmlstarlet gcc"
 
 if [ -n "$(command -v apt-get)" ]; then
@@ -92,4 +93,29 @@
 }
 
+checkSetupDeps() {
+	which gcc > /dev/null
+	if [ $? -ne 0 ]; then
+		echo "'gcc' not installed. Please install it and run this script again."
+		echo 0
+		return
+	fi
+
+	which wget > /dev/null
+	if [ $? -ne 0 ]; then
+		echo "'wget' not installed. Please install it and run this script again."
+		echo 0
+		return
+	fi
+
+	which tr > /dev/null
+	if [ $? -ne 0 ]; then
+		echo "'tr' not installed. Please install it and run this script again."
+		echo 0
+		return
+	fi
+
+	echo 1
+}
+
 setupUser() {
 	echo -e "Setting up user and group \"sdtd\"\n"
@@ -119,13 +145,17 @@
 	if [ $ISDEBIAN -eq 1 ]; then
 		update-rc.d 7dtd.sh defaults
-	else
-		echo
-		echo "Compiling start-stop-daemon"
-		cd /usr/local/lib/7dtd/start-stop-daemon
-		make
-		make install
-
-		sed -ir "s/^export SSD=.*$/export SSD=\/usr\/local\/lib\/7dtd\/start-stop-daemon\/start-stop-daemon/" /etc/7dtd.conf
-	fi
+	fi
+	
+	echo
+	echo "Compiling start-stop-daemon"
+	cd /usr/local/lib/7dtd/start-stop-daemon
+
+	gcc -Wall -Wextra -Wno-return-type -o start-stop-daemon start-stop-daemon.c
+	chown root.root start-stop-daemon
+	chmod 0755 start-stop-daemon
+
+#TODO: remove
+	sed -ir "s/^export SSD=.*$/export SSD=\/usr\/local\/lib\/7dtd\/start-stop-daemon\/start-stop-daemon/" /etc/7dtd.conf
+
 	echo -e "\n=============================================================\n\n"
 }
@@ -195,4 +225,8 @@
 			echo
 		fi
+	else
+		if [ $(checkSetupDeps) -eq 0 ]; then
+			return
+		fi
 	fi
 	setupUser
Index: /scripts/etc/7dtd.conf
===================================================================
--- /scripts/etc/7dtd.conf	(revision 31)
+++ /scripts/etc/7dtd.conf	(revision 32)
@@ -20,4 +20,4 @@
 export XMLSTARLET=/usr/bin/xmlstarlet
 export PKILL=/usr/bin/pkill
-export SSD=/sbin/start-stop-daemon
+export SSD=/usr/local/lib/7dtd/start-stop-daemon/start-stop-daemon
 
